DoorLockLogging.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/DoorLockLogging.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueBool.h"`
`#include "value_classes/ValueByte.h"`
`#include "value_classes/ValueInt.h"`
`#include "value_classes/ValueString.h"`
`#include "tinyxml.h"`

## Enumerations

enum | DoorLockLoggingCmd { DoorLockLoggingCmd_RecordSupported_Get = 0x01, DoorLockLoggingCmd_RecordSupported_Report = 0x02, DoorLockLoggingCmd_Record_Get = 0x03, DoorLockLoggingCmd_Record_Report = 0x04 }

enum

DoorLockEventType {
DoorLockEventType_LockCode = 0x01, DoorLockEventType_UnLockCode = 0x02, DoorLockEventType_LockButton = 0x03, DoorLockEventType_UnLockButton = 0x04,
DoorLockEventType_LockCodeOOSchedule = 0x05, DoorLockEventType_UnLockCodeOOSchedule = 0x06, DoorLockEventType_IllegalCode = 0x07, DoorLockEventType_LockManual = 0x08,
DoorLockEventType_UnLockManual = 0x09, DoorLockEventType_LockAuto = 0x0A, DoorLockEventType_UnLockAuto = 0x0B, DoorLockEventType_LockRemoteCode = 0x0C,
DoorLockEventType_UnLockRemoteCode = 0x0D, DoorLockEventType_LockRemote = 0x0E, DoorLockEventType_UnLockRemote = 0x0F, DoorLockEventType_LockRemoteCodeOOSchedule = 0x10,
DoorLockEventType_UnLockRemoteCodeOOSchedule = 0x11, DoorLockEventType_RemoteIllegalCode = 0x12, DoorLockEventType_LockManual2 = 0x13, DoorLockEventType_UnlockManual2 = 0x14,
DoorLockEventType_LockSecured = 0x15, DoorLockEventType_LockUnsecured = 0x16, DoorLockEventType_UserCodeAdded = 0x17, DoorLockEventType_UserCodeDeleted = 0x18,
DoorLockEventType_AllUserCodesDeleted = 0x19, DoorLockEventType_MasterCodeChanged = 0x1A, DoorLockEventType_UserCodeChanged = 0x1B, DoorLockEventType_LockReset = 0x1C,
DoorLockEventType_ConfigurationChanged = 0x1D, DoorLockEventType_LowBattery = 0x1E, DoorLockEventType_NewBattery = 0x1F, DoorLockEventType_Max = 0x20
}

enum

ValueIDSystemIndexes {
Value_Color = 0x00, Value_Color_Index = 0x01, Value_Color_Channels_Capabilities = 0x02, Value_Color_Duration = 0x03,
Value_Lock = 0x00, Value_Lock_Mode = 0x01, Value_System_Config_Mode = 0x02, Value_System_Config_Minutes = 0x03,
Value_System_Config_Seconds = 0x04, Value_System_Config_OutsideHandles = 0x05, Value_System_Config_InsideHandles = 0x06, Value_System_Config_MaxRecords = 0x00,
Value_GetRecordNo = 0x01, Value_LogRecord = 0x02
}

## Enumeration Type Documentation

## DoorLockEventType

enum DoorLockEventType

Enumerator
DoorLockEventType_LockCode |
DoorLockEventType_UnLockCode |
DoorLockEventType_LockButton |
DoorLockEventType_UnLockButton |
DoorLockEventType_LockCodeOOSchedule |
DoorLockEventType_UnLockCodeOOSchedule |
DoorLockEventType_IllegalCode |
DoorLockEventType_LockManual |
DoorLockEventType_UnLockManual |
DoorLockEventType_LockAuto |
DoorLockEventType_UnLockAuto |
DoorLockEventType_LockRemoteCode |
DoorLockEventType_UnLockRemoteCode |
DoorLockEventType_LockRemote |
DoorLockEventType_UnLockRemote |
DoorLockEventType_LockRemoteCodeOOSchedule |
DoorLockEventType_UnLockRemoteCodeOOSchedule |
DoorLockEventType_RemoteIllegalCode |
DoorLockEventType_LockManual2 |
DoorLockEventType_UnlockManual2 |
DoorLockEventType_LockSecured |
DoorLockEventType_LockUnsecured |
DoorLockEventType_UserCodeAdded |
DoorLockEventType_UserCodeDeleted |
DoorLockEventType_AllUserCodesDeleted |
DoorLockEventType_MasterCodeChanged |
DoorLockEventType_UserCodeChanged |
DoorLockEventType_LockReset |
DoorLockEventType_ConfigurationChanged |
DoorLockEventType_LowBattery |
DoorLockEventType_NewBattery |
DoorLockEventType_Max |

## DoorLockLoggingCmd

enum DoorLockLoggingCmd

Enumerator
DoorLockLoggingCmd_RecordSupported_Get |
DoorLockLoggingCmd_RecordSupported_Report |
DoorLockLoggingCmd_Record_Get |
DoorLockLoggingCmd_Record_Report |

## ValueIDSystemIndexes

enum ValueIDSystemIndexes

Enumerator
Value_Color |
Value_Color_Index |
Value_Color_Channels_Capabilities |
Value_Color_Duration |
Value_Lock |
Value_Lock_Mode |
Value_System_Config_Mode |
Value_System_Config_Minutes |
Value_System_Config_Seconds |
Value_System_Config_OutsideHandles |
Value_System_Config_InsideHandles |
Value_System_Config_MaxRecords |
Value_GetRecordNo |
Value_LogRecord |